Summary: A network traffic monitoring tool
Name: tcpstat
Version: 1.5
Release: 1
License: BSD style
URL: http://www.frenchfries.net/paul/tcpstat
Group: Applications/Internet
Source0: http://www.frenchfries.net/paul/tcpstat/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpcap-devel >= 0.9.8
Requires: libpcap >= 0.9.8

%description
Tcpstat reports certain network interface statistics much like vmstat does
for system statistics. tcpstat gets its information by either monitoring a
specific interface, or by reading previously saved tcpdump data from a file. 
Tcpstat is written with performance and efficiency in mind and is capable of
handling large amounts of packets per second.  Its compact command line
interface is geared for the network researcher, system administrator and
desktop shell user.  Tcpstat has been a valuable tool in university
research papers and commercial networks alike.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

strip ${RPM_BUILD_ROOT}%{bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc NEWS README COPYING doc/Tips_and_Tricks.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/*


%changelog
* Wed Apr 14 2010 Michael Perzl <michael@perzl.org> - 1.5-1
- first version for AIX V5.1 and higher
